package com.huashe.park.domain.entity;

import com.huashe.common.annotation.Excel;
import com.huashe.common.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 室内坐标定位对象 bd_devc_trail_uwb
 *
 * @author ruoyi
 * @date 2024-10-16
 */
public class BdDevcTrailUwb extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 设备唯一键 */
    @Excel(name = "设备唯一键")
    private String devcKey;

    /** 纬度 */
    @Excel(name = "纬度")
    private Double lat;

    /** 经度 */
    @Excel(name = "经度")
    private Double lng;

    /** 日期 */
    @Excel(name = "日期")
    private String dt;

    private Integer stepIndex;

    private Integer tp;

    /** 所在空间唯一键 */
    @Excel(name = "所在空间唯一键")
    private String roomIndex;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setDevcKey(String devcKey)
    {
        this.devcKey = devcKey;
    }

    public String getDevcKey()
    {
        return devcKey;
    }
    public void setLat(Double lat)
    {
        this.lat = lat;
    }

    public Double getLat()
    {
        return lat;
    }
    public void setLng(Double lng)
    {
        this.lng = lng;
    }

    public Double getLng()
    {
        return lng;
    }
    public void setDt(String dt)
    {
        this.dt = dt;
    }

    public String getDt()
    {
        return dt;
    }
    public void setStepIndex(Integer stepIndex)
    {
        this.stepIndex = stepIndex;
    }

    public Integer getStepIndex()
    {
        return stepIndex;
    }
    public void setTp(Integer tp)
    {
        this.tp = tp;
    }

    public Integer getTp()
    {
        return tp;
    }
    public void setRoomIndex(String roomIndex)
    {
        this.roomIndex = roomIndex;
    }

    public String getRoomIndex()
    {
        return roomIndex;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("devcKey", getDevcKey())
            .append("lat", getLat())
            .append("lng", getLng())
            .append("dt", getDt())
            .append("stepIndex", getStepIndex())
            .append("tp", getTp())
            .append("roomIndex", getRoomIndex())
            .append("updateTime", getUpdateTime())
            .append("createTime", getCreateTime())
            .append("createBy", getCreateBy())
            .append("updateBy", getUpdateBy())
            .toString();
    }
}
